#include<simplecpp>
#include<cstdio>
#include<cstring>


using namespace std;


////////////////////////////////////////

long double factorial(int n)
{


         long double result=1;

      for(int i=1;i<=n;i++ ){result = result*i;};

      return result;}

///////////////////////////////////////////////////////
long double combination(int n,int r){

       long double m = factorial(n),k,t;

       k = factorial(r);

       t= factorial(n-r);

       return ((m)/(k*t));



}


//////////////////////////////////////////////////

long double permutation (int n, int r){


long double m = factorial(n),t;



       t= factorial(n-r);

       return ((m)/(t));


}

///////////////////////////////////////////////////


long double power(double base,int exp)
{
    if(base==1){return 1;};

    double sum =1;

    for(int i=0;i<exp;i++)
    {

    sum=sum*base;



    }

    return sum;
}

////////////////////////////////////////////////////////////////




long double ex(double x){
 long double  sum=0;



    for(double p=0;p<200;p++)

        {    long double k = power(x,p);

             long double m  = factorial(p);

            sum = sum + (k/m);
        }


    return sum;
}

////////////////////////////////////////////////////


double lnx(double x)


{

     double ln,sum=0;

     int i;


    double k = (x-1)/(x+1);

    if(x<=0){return -1;}

    for(i=1;i<10000;i+=2)
    {

    double m = power(k,i);

    sum = sum +(m/i);
    }
    ln=2*sum;

    return ln;


}
////////////////////////////////////////


long double logx(double x)

  {  long double ln,sum=0;
   int i;


    double k = (x-1)/(x+1);

    if(x<=0){return -1;}

    for(i=1;i<10000;i+=2)
    {

    double m = power(k,i);

    sum = sum +(m/i);
    }
    ln=2*sum;

    return (ln/2.303);
}




/////////////////////////////////////////


long double  Sinh(double x){


      return ((ex(x)-ex(-1*x))/2);





}
/////////////////////////////////
long double  Tanh(double x){


      long double m = (ex(x)-ex(-x))/(ex(x)+ex(-x));


return m;


}




//////////////////////////////


long double  Cosh(double x){


      return ((ex(x)+ex(-x))/2);



}


//////////////////////////////////////////




long double cuberoot(double base){


     long double log,temp,antilog;



   log = lnx(base);

     temp = log/3;

     antilog = ex(temp);

return antilog;

}
//////////////////////////////


long double cube(double base)
{
    if(base==1){return 1;};

    double sum =1;

    for(int i=0;i<3;i++)
    {

    sum=sum*base;



    }

    return sum;
}

//////////////////////////////////


long double nroot(double base,double exponent){


     long double log,temp,antilog;



   log = lnx(base);

     temp = log/exponent;

     antilog = ex(temp);

return antilog;

}

///////////////////////////////////


long double npower(double base,double exponent){


     long double log,temp,antilog;



   log = lnx(base);

     temp = log*exponent;

     antilog = ex(temp);

return antilog;

}

//////////////////////////////////


long double squareroot(double base){


     long double log,temp,antilog;



   log = lnx(base);

     temp = log/2;

     antilog = ex(temp);

return antilog;

}

/////////////////////////////////////////////////

long double square(double base)
{
    if(base==1){return 1;};

    double sum =1;

    for(int i=0;i<2;i++)
    {

    sum=sum*base;



    }

    return sum;
}

//////////////////////////////////////

void quadratic(){


    double a,b,c,x1,x2,d;
    cout<<"finding roots of ax2+bx+c=0"<<endl;
    cout<<"a :";cin>>a;
    cout<<"b:";cin>>b;
    cout<<"c :";cin>>c;

    d=(b*b)-(4*a*c);
    if(d<0){cout<<"there are no real roots"<<endl;}
    if(d==0){cout<<(-b)/(a*2)<<"is the only root"<<endl;}
    x1=(-b-(squareroot(d)))/(2*a);
    x2=(-b+(squareroot(d)))/(2*a);

    cout<<"roots are"<<x1<<" and "<<x2<<endl;
    return ;
}


//////////////////////////////////////////


long double Sin(double x)
{

	long double i,j,fact,sign=-1;

	long double p=1,sum=0,sin;


    double pi=3.141592654;

    double t=x;



   for(int k=0;k<200;k++){

          if(t>0&&t<(2*pi)){break;
          }

         else {t=t-(2*pi);

    }
 }




	for(i=1;i<=20;i+=2)
	{
	    p=power(t,i);

	     fact=factorial(i)	;

		sign=-1*sign;

		sum+=sign*p/fact;
	}


	return sum;
}

/////////////////////////////////////////////////////////////////////


long double Cos(double x)
{

	long double i,j,fact,sign=1;

	long double  p=1,sum=1,cos;

    double pi=3.141592654;

    double t=x;



   for(int k=0;k<200;k++){


          if(t>0&&t<(2*pi)){break;
          }

         else {t=t-(2*pi);

    }
 }




	for(i=2;i<=20;i+=2)

	{

    p=power(t,i);

    fact=factorial(i)	;

    sign=-1*sign;

    sum+=sign*p/fact;

	}


	return sum;
}


///////////////////////////////////////////////////////////////////////////////


long double Tan(double x)
{

    long double sum;

    if (cos(x)==0)

	{

	return( 0/0 );


	}


    sum = sin(x)/cos(x);

    return sum;

}


//////////////////////////////////////////////////////////////////////


long double Cot(double x)

{


    long double sum;

    if (sin(x)==0)

	{



	return (-1);

	}

    sum = cos(x)/sin(x);

    return sum;
}


////////////////////////////////////////////////////////////////////////////////////////


long double Cosec(double x)
{

    long double sum;
    if (sin(x)==0)

	{



	return (-1);

	}

    sum = 1/sin(x);

    return sum;

}


/////////////////////////////////////////////////////////////////////////////////////


long double Sec(double x)


{

    long double sum;

    if (cos(x)==0)

	{




	return (-1);

	}

    sum = 1/cos(x);

    return sum;
}



//////////////////////////////////////////
////converter function in whole////////
/*double convert(double xin);
double findscale(int cv);
void converter()
{ double xin,xout;

    cout<<"x in first unit :"<<endl;
    cin>>xin;
    xout=convert(xin);
    cout<<endl;
    cout<<"converted value is"<<xout;
    return ;
}
double convert(double xin)
{
   int CV3;
  cout<<"give conversion number :"<<endl;
  cout<<"from the following list of conversions"<<endl;

  cout<<"1 : inches to cm"<<endl;
  cout<<"2 : cm to inches"<<endl;
  cout<<"3 : metres  to feet"<<endl;
  cout<<"4 : feet to metres"<<endl;
  cout<<"5 : miles to km"<<endl;
  cout<<"6 : km to miles"<<endl;
  cout<<"7 : m^2 to acres"<<endl;
  cout<<"8 : acres to m^2"<<endl;
  cout<<"9 : km/hr to m/s"<<endl;
  cout<<"10 : m/s to km/hr"<<endl;
  cout<<"11 : kg to pounds"<<endl;
  cout<<"12 : pounds  to kg"<<endl;
  cout<<"13 : atm to pascals "<<endl;
  cout<<"14 : pascal  to atm"<<endl;
  cout<<"15 : mmHg to pascal"<<endl;
  cout<<"16 : pascal to mmHg"<<endl;
  cout<<"17 : Joules to cal"<<endl;
  cout<<"18 : cal to Joules"<<endl;
  cout<<"19 : celcius to farenhite"<<endl;
  cout<<"20 : farenhite to celcius"<<endl;

  cin>>CV3;
  if(CV3<=18&&CV3>0)
  {double scale;
  scale= findscale(CV3);
  return xin*scale;}
  if (CV3==19){return ((xin*1.8)+32);}
  if (CV3==20){return((xin-32)/1.8);}

}
*/

///////////////end of converter/////////////


long double arcsin(double x){

	long double i,sum=0,n;





for(int i=0 ; i<600;i++){

       long double m = power(x,(2*i+1));

       n = combination(2*i,i);


     long double   k  =  power(4,i);

           m= m*n;

           k= k*(2*i+1);

          sum = sum + (m/k);



	}



	return sum/(0.0174532925 );
}
/////////////////////////////////////////


long double arccos(double x){

return (90-arcsin(x));

}


////////////////////////////////////////

long double Arctan(double x)
{long double sum=0;
    for (int i=0;i<6000;i++)
    {
        sum+= ((power(-1,i))/(2*i+1))*power(x,(2*i+1));
    }
    return sum*(180/3.14159265);
}

/////////////////////////////////////////////////////


long double do_op(double a, double b, char c)
{
    switch(c)
    {
       case '+': return a+b; break;
       case '-': return a-b; break;
       case '*': return a*b; break;
       case '/': return a/b; break;
       case 'n': return combination(a,b);break;
       case 'N': return permutation(a,b);break;
       case'z':return npower(a,b);break;
        case'Z':return nroot(a,b);break;
       default : cout << "wrong operand" <<endl; break;
    }
}

void push(int a, int *b, int *c)
{

    *c = *c+1;
    b[*c]=a;
}

int pop(int *a, int*b)
{
    int temp=a[*b];
    *b = *b-1;
    return temp;
}


/////////////////////////////

 double do_op1(char op,double x)
 {
   switch(op)
    {
      case'S':return Sin(x);break;
      case'T':return Tan(x);break;
      case's':return Sec(x);break;
      case'L':return logx(x);break;
      case'l':return lnx(x);break;
      case'!':return factorial(x);break;
      case'C':return Cos(x);break;
      case'c':return Cosec(x);break;
      case'q':return Cot(x);break;
      case'w':return arcsin(x);break;
      case'e':return ex(x);break;
      case'x':return square(x);break;
      case'y':return cube(x);break;

      case'X':return squareroot(x);break;
      case'Y':return cuberoot(x);break;

      case'W':return arccos(x);break;
      case'f':return Sinh(x);break;
      case'g':return Cosh(x);break;
      case'h':return Tanh(x);break;
      case'k': return Arctan(x);break;


      //case'W':return arccos(x);break;
    }
 }

 ///////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////////////////////

int main(){

initCanvas();

int i=0,j=0,k=0,x=0,y=0,m=1;

for( i=0;i<4;i++){

        for(j=0;j<3;j++){


   Rectangle rij((25+x),(450-y),50,50);

  if(y==50||y==100||y==150)


    {Text tij((25+x),(450-y),m);

          tij.imprint();

                m++;
  };



   if (y==0){

      if(x==0){Text tij(25,450,0);

           tij.imprint();}


      if(x==50){Text tij(75,450,".");


            tij.imprint();}


      if(x==100){Text tij(125,450,"=");


               tij.imprint();}


   }
            rij.imprint();


    x=x+50;}

     x=0;
    y=y+50;
};


    Rectangle r1(175,450,50,50);

    Text t1(175,450,"+");


    Rectangle r2(175,400,50,50);

    Text t2(175,400,"-");



   Rectangle r3(175,350,50,50);

   Text t3(175,350,"*");



   Rectangle r4(175,300,50,50);

   Text t4(175,300,"/");



   Rectangle cosec(25,260,50,30);

    Text cosect(25,260,"cosec");



    Rectangle sec(75,260,50,30);

    Text sect(75,260,"sec");



 Rectangle cot(125,260,50,30);


 Text cott(125,260,"cot");



 Rectangle sin1(175,260,50,30);

  Text sin1t(175,260,"arcsin");



 Rectangle cos1(225,260,50,30);

  Text sec1t(225,260,"arccos");



 Rectangle tan1(275,260,50,30);

  Text tan1t(275,260,"arctan");



 Rectangle sinh(25,230,50,30);


 Text sint(25,230,"sinh");



 Rectangle cosh(75,230,50,30);

  Text cost(75,230,"cosh");



 Rectangle tanh(125,230,50,30);

  Text tant(125,230,"tanh");



Rectangle npr(175,230,50,30);

Text nprt(175,230,"NpR");



 Rectangle ncr(225,230,50,30);

 Text ncrt(225,230,"NcR");



 Rectangle quad(275,230,50,30);

  Text quadt(275,230,"quad");




 Rectangle x2(25,200,50,30);

 Text x2t(25,200,"x^2");



 Rectangle x3(75,200,50,30);

  Text x3t(75,200,"x^3");



 Rectangle xN(125,200,50,30);

 Text xNt(125,200,"x^n");




Rectangle rootx(175,200,50,30);

Text rootxt(175,200,"X^1/2");



 Rectangle cuberoot(225,200,50,30);

  Text cuberoott(225,200,"X^1/3");



 Rectangle nthrootx(275,200,50,30);

  Text nthroott(275,200,"X^1/n");



Rectangle sin(225,450,50,50);

Text sintt(225,450,"sin");



Rectangle cos(225,400,50,50);

 Text costt(225,400,"cos");



Rectangle tanx(225,350,50,50);

 Text tantt(225,350,"tan");





Rectangle factorial(225,300,50,50);

 Text factorialt(225,300,"!");



Rectangle logx(275,450,50,50);

 Text logt(275,450,"log10");




Rectangle lnx(275,400,50,50);

Text lnt(275,400,"loge");




Rectangle exponential(275,350,50,50);


 Text exponentialt(275,350,"e^x");



Rectangle linear(275,300,50,50);

   Text lineart(275,300,"eqn");




Rectangle box(100,150,200,70) ;

//Text boxt(50,155,"  ");



Rectangle ans(250,150,100,70);

 Text anst(275,120,"ANS");


  Rectangle clear(325,450,50,50);


    Text cleart(325,450,"clear");




char array[100];

           for(k=0;k<5;k++){

                       for(i=0;i<15;i++)
         {

              int cpos = getClick();



               int cx = cpos/65536;


               int cy = cpos%65536;





    if((cx>=0 && cx<50)&&(cy>425 && cy<475))   {array[i]='0';};



   if((cx>=0 && cx<50)&&(cy>375 && cy<425))   {array[i]='1';};


    if((cx>=50 && cx<100)&&(cy>375 && cy<425))   {array[i]='2';};


    if((cx>=100 && cx<150)&&(cy>375 && cy<425))   {array[i]='3';};


    if((cx>=0 && cx<50)&&(cy>325 && cy<375))   {array[i]='4';};


    if((cx>=50 && cx<100)&&(cy>325 && cy<375))   {array[i]='5';};


    if((cx>=100 && cx<150)&&(cy>325 && cy<375))   {array[i]='6';};


    if((cx>=0 && cx<50)&&(cy>275 && cy<325))   {array[i]='7';};


    if((cx>=50 && cx<100)&&(cy>275 && cy<325))   {array[i]='8';};


    if((cx>=100 && cx<150)&&(cy>275 && cy<325))   {array[i]='9';};


    if((cx>=50 && cx<100)&&(cy>425 && cy<475))   {array[i]='.';};


    if((cx>=100 && cx<150)&&(cy>425 && cy<475))   {array[i]='=';};


    if((cx>=150 && cx<200)&&(cy>425 && cy<475))   {array[i]='+';};


    if((cx>=150 && cx<200)&&(cy>375 && cy<425))   {array[i]='-';};


    if((cx>=150 && cx<200)&&(cy>325 && cy<375))   {array[i]='*';};


    if((cx>=150 && cx<200)&&(cy>275 && cy<325))   {array[i]='/';};


    if((cx>=200 && cx<250)&&(cy>275 && cy<325))   {array[i]='!';};



    if((cx>=200 && cx<250)&&(cy>425 && cy<475))   {array[i]='s';array[i+1]='i';array[i+2]='n';i=i+2;};



      if((cx>=200 && cx<250)&&(cy>375 && cy<425))   {array[i]='c';array[i+1]='o';array[i+2]='s';i=i+2;};



    if((cx>=200 && cx<250)&&(cy>325 && cy<375))   {array[i]='t';array[i+1]='a';array[i+2]='n';i=i+2;};



    if((cx>=250 && cx<300)&&(cy>425 && cy<475))   {array[i]='l';array[i+1]='o';array[i+2]='g';i=i+2;};



    if((cx>=250 && cx<300)&&(cy>375 && cy<425))   {array[i]='l';array[i+1]='n';i=i+1;};



        if((cx>=250 && cx<300)&&(cy>325 && cy<375))   {array[i]='e';array[i+1]='^';i=i+1;};



        if((cx>=250 && cx<300)&&(cy>275 && cy<325))   {array[i]='E';array[i+1]='q';array[i+2]='n';i=i+2;};




        if((cx>=0 && cx<50)&&(cy>245 && cy<275))   {array[i]='c';array[i+1]='o';array[i+2]='s';array[i+3]='e';array[i+4]='c';i=i+4;};


     if((cx>=50 && cx<100)&&(cy>245 && cy<275))   {array[i]='s';array[i+1]='e';array[i+2]='c';i=i+2;};


     if((cx>=100 && cx<150)&&(cy>245 && cy<275))   {array[i]='c';array[i+1]='o';array[i+2]='t';i=i+2;};


    if((cx>=150 && cx<200)&&(cy>245 && cy<275))   {array[i]='a';array[i+1]='r';array[i+2]='c';array[i+3]='s';array[i+4]='i';array[i+5]='n';i=i+5;};


    if((cx>=200 && cx<250)&&(cy>245 && cy<275))   {array[i]='a';array[i+1]='r';array[i+2]='c';array[i+3]='c';array[i+4]='o';array[i+5]='s';i=i+5;};


   if((cx>=250 && cx<300)&&(cy>245 && cy<275))   {array[i]='a';array[i+1]='r';array[i+2]='c';array[i+3]='t';array[i+4]='a';array[i+5]='n';i=i+5;};


   if((cx>=0 && cx<50)&&(cy>215 && cy<245))   {array[i]='s';array[i+1]='i';array[i+2]='n';array[i+3]='h';i=i+3;};


   if((cx>=50 && cx<100)&&(cy>215 && cy<245))   {array[i]='c';array[i+1]='o';array[i+2]='s';array[i+3]='h';i=i+3;};


    if((cx>=100 && cx<150)&&(cy>215 && cy<245))   {array[i]='t';array[i+1]='a';array[i+2]='n';array[i+3]='h';i=i+3;};


    if((cx>=150 && cx<200)&&(cy>215 && cy<245))   {array[i]='N';array[i+1]='p';array[i+2]='R';i=i+2;};


    if((cx>=200 && cx<250)&&(cy>215 && cy<245))   {array[i]='N';array[i+1]='c';array[i+2]='R';i=i+2;};


    if((cx>=250 && cx<300)&&(cy>215 && cy<245))   {array[i]='Q';array[i+1]='u';array[i+2]='a';array[i+3]='d';i=i+3;};



  if((cx>=0 && cx<50)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='2';array[i+3]=' ';i=i+3;};


    if((cx>=50 && cx<100)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='3';array[i+3]=' ';i=i+3;};


   if((cx>=100 && cx<150)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='n';array[i+3]=' ';i=i+3;};


   if((cx>=150 && cx<200)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='1';array[i+3]='/';array[i+4]='2';array[i+5]=' ';i=i+5;};



   if((cx>=200 && cx<250)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='1';array[i+3]='/';array[i+4]='3';array[i+5]=' ';i=i+5;};


   if((cx>=250 && cx<300)&&(cy>185 && cy<215))   {array[i]='x';array[i+1]='^';array[i+2]='1';array[i+3]='/';array[i+4]='n';array[i+5]=' ';i=i+5;};



           if((cx>100 && cx<150 )&& (cy>425 && cy<475)){array[i]='\0';break;};

    };

/*int eval[100],op1,op2,ans;
    int top=-1;
    char sign[20],operand;
    for( int i=0;i<100;i++)
    {
        if (array[i]=='\0')
            break;
        if(array[i]<='9' && array[i]>='0')
        {
            push(array[i]-48,eval,&top);
        }
        else
        {
            operand=array[i];
            op1=pop(eval,&top);
            op2=pop(eval,&top);
            ans=do_op(op1,op2,operand);
            push(ans,eval,&top);
        }
    }
*/





    Text boxt( 100,155,array);// wait(2);



    /////////////////////////////////////

      char array1[100][100];



    double sum = 0;int p=0;

    for(i=0;i<100;i++)

    {

        for( j= 0;j<100;j++){


             if((array[p]<='9' && array[p]>='0')||array[p]=='.')


            {

                    array1[i][j]=array[p];

                     p++;continue;}

          if(array[p]=='+'||array[p]=='-'||array[p]=='*'||array[p]=='/'){ array1[i][j]='\0';

                         array1[i+1][0]=array[p];p++;i++;break;   }


          if((array[p]=='s' && array[p+2]=='n')&&array[p+3]!='h'){array1[i][0]='S';p+=3;break;}

	  if((array[p]=='t' && array[p+2]=='n')&&array[p+3]!='h'){array1[i][0]='T';p+=3;break;}

 	  if((array[p]=='c' && array[p+2]=='s')&&array[p+3]!='h' &&array[p+4]!='c'){array1[i][0]='C';p+=3;break;}

          if(array[p]=='c' && array[p+2]=='s' &&array[p+4]=='c'){array1[i][0]='c';p+=5;break;}

	  if(array[p]=='l' && array[p+2]=='g'){array1[i][0]='L';p+=3;break;}

	  if(array[p]=='s' && array[p+2]=='c'){array1[i][0]='s';p+=3;break;}

	  if(array[p]=='l' && array[p+1]=='n'){array1[i][0]='l';p+=2;break;}

	  if(array[p]=='e'&& array[p+1]=='^'){array1[i][0]='e';p=p+2;break;}

          if(array[p]=='c' && array[p+2]=='t'){array1[i][0]='q';p+=3;break;}


   if(array[p]=='a' && array[p+3]=='s'){array1[i][0]='w';p+=6;break;}

  if(array[p]=='a'&& array[p+3]=='c'){array1[i][0]='W';p=p+6;break;}

  if(array[p]=='a'&& array[p+3]=='t'){array1[i][0]='k';p=p+6;break;}


  if(array[p]=='s'&& array[p+3]=='h'){array1[i][0]='f';p=p+4;break;}

   if(array[p]=='c'&& array[p+3]=='h'){array1[i][0]='g';p=p+4;break;}


if(array[p]=='t'&& array[p+3]=='h'){array1[i][0]='h';p=p+4;break;}

if(array[p]=='x'&& array[p+2]=='2'){array1[i][0]='x';p=p+4;break;}


if(array[p]=='x'&& array[p+2]=='3'){array1[i][0]='y';p=p+4;break;}

if(array[p]=='x'&& array[p+2]=='n'){array1[i+1][0]='z';p=p+4;array1[i][j]='\0';i++;break;}

if(array[p]=='x'&& array[p+4]=='2'){array1[i][0]='X';p=p+6;break;}

if(array[p]=='x'&& array[p+4]=='3'){array1[i][0]='Y';p=p+6;break;}

if(array[p]=='x'&& array[p+4]=='n'){array1[i+1][0]='Z';p=p+6;array1[i][j]='\0';i++;break;}

if(array[p]=='N'&&array[p+2]=='R'&&array[p+1]=='c'){array1[i+1][0]='n';p=p+3;array1[i][j]='\0';i++;break;}

if(array[p]=='N'&&array[p+2]=='R'&&array[p+1]=='p'){array1[i+1][0]='N';p=p+3;array1[i][j]='\0';i++;break;}





           //if (array[p]=='\0'){array1[i][0]='\0'; break;}
           }

}



  /*  for(j=0;j<100;j++){

         for(i=0;i<100;i++){

             if(array1[j][i]=='\0'){array2[j]=i; break;}
         }

    }

    cout<<array2[0]<<"k"<<array2[1]<<"k"<<array2[2]<<endl;*/




    /*for(i=0;i<100;i+=2){


    sscanf(array1[i],"%lf",&num[i]);


    }

cout<<num[0]<<"    "<<num[2];
double ans;

ans = do_op(num[0],num[2],array1[1][0]);*/



    double num[100],ans,mn;

    char operators[100];



  if(array1[0][0]<='9' && array1[0][0]>='0')

    { for(i=0;i<100;i+=2){


    sscanf(array1[i],"%lf",&num[i]);


    }


    //cout<<num[0]<<"    "<<num[2];




for(k=1;k<100;k=k+2){


     operators[k]=array1[k][0];
}

///////////////////////////////////////////

for(k=1;k<100;k+=2)

{
    if(operators[k]=='/'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }
}
//////////////////////////////////////////
for(k=1;k<100;k+=2)

{
    if(operators[k]=='n'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }
    }


    }

///////////////////////////////////////////
for(k=1;k<100;k+=2)

{
    if(operators[k]=='N'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }
}
//////////////////////////////////////
for(k=1;k<100;k+=2)

{
    if(operators[k]=='z'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }
}

//////////////////////////////
for(k=1;k<100;k+=2)

{
    if(operators[k]=='Z'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];

                                   // ans = nroot(num[0],num[2]);
                                }


    }continue;
}
//////////////////////////////

for(k=1;k<100;k+=2)

{
    if(operators[k]=='*'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }continue;
}





for(k=1;k<100;k+=2)

{
    if(operators[k]=='+'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }continue;
}



for(k=1;k<100;k+=2)

{
    if(operators[k]=='-'){  num[k-1] = do_op(num[k-1],num[k+1],operators[k]);

                                for(int t=k+3;t<100;t+=2)
                                {
                                    num[t-2]=num[t];}


                                 for(int m=k;m<100;m+=2){

                                    operators[m]=operators[m+2];
                                }


    }continue;
}




///////////////////////////////////////////////////


    ans= num[0];






}


else



     {  for(i=1;i<100;i+=2){


    sscanf(array1[i],"%lf",&num[i]);



    }
cout<<num[1]<<"m"<<endl;

ans = do_op1(array1[0][0],num[1]);

     }




//cout<<ans<<endl;






    /////////////////////////


    Text ans1(250,155,ans);//wait(2);



           int cpos = getClick();

          int cx = cpos/65536;

           int cy = cpos%65536;

  if((cx>300&&cx<350)&&(cy>425&&cy<475)){

    for(i=0;i<15;i++)

            {          if(i<14){array[i]=' ';}

                         else {array[i]='\0';}
            };


     // for (i=0;i<100;i++){     num[i]=0;

            //              operators[i]=' '  ;    }




 };


      Text  box1( 100,155,array);



}


wait(50);


return 0;

}

